[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] virt-v2v trouble converting Xen Centos 5.X to KVM Centos 6.3 or Fedora 17



On 24/08/12 18:25, Richard W.M. Jones wrote:
On Fri, Aug 24, 2012 at 09:39:04AM -0700, Alan Low wrote:
"febootstrap-supermin-helper: ext2: parent directory not found: File not found by ext2_lookup"  I did some searching and saw someone else had this problem on an ubuntu setup who guessed that febootstrap was below version.  Since I was able to wipe the target server all I wanted I jumped way ahead to Fedora 17 which had febootstrap-supermin-helper-3.18-1.fc17.x86_64 and libguestfs-1.18.6-3.fc17.x86_64.

Best way to diagnose this error (would have been) to run
'libguestfs-test-tool'.  It was probably a packaging bug with the
distro.

So now on my new Fedora 17 target, I get a totally different error. It appears the transfer of the disk image goes fine (that's the 100% progress bar), but then I get a bunch of error messages I don't understand, and I check and the logical volume under the vg5 pool has been deleted once the script exits.

vm-alan2: 100% [=====================================================]D 0h08m16s
Use of uninitialized value $transferdev in quotemeta at /bin/virt-v2v line 609.
Use of qw(...) as parentheses is deprecated at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 169.
Use of qw(...) as parentheses is deprecated at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 178.
Use of qw(...) as parentheses is deprecated at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 230.
Use of qw(...) as parentheses is deprecated at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 252.
umount: umount: /transfer4b5GFf: umount: /sysroot/transfer4b5GFf: not mounted at /usr/share/perl5/vendor_perl/Sys/VirtConvert/GuestfsHandle.pm line 193.
  at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Config.pm line 262

I just pushed an virt-v2v update to stable on Fedora 17 which should fix the above errors. Until it hits the repos you could try getting version 0.8.8 from testing.

Matt


--
Matthew Booth, RHCA, RHCSS
Red Hat Engineering, Virtualisation Team

GPG ID:  D33C3490
GPG FPR: 3733 612D 2D05 5458 8A8A 1600 3441 EA19 D33C 3490


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]